Capacity Settings
Time slot capacity configuration and limits
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/locations/string/capacity-settings"{ "status": "success", "data": { "capacitySettings": [ { "id": 0, "locationId": 0, "orderCapacity": null, "itemCapacity": null, "name": "string", "priority": 0, "enabled": true, "timeStart": null, "timeEnd": null, "validFrom": null, "validTo": null, "validOnDays": [ 0 ], "createdAt": "string", "updatedAt": "string" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Max orders per time slot
Max items per time slot
Display name for this setting
Sort order (lower = higher priority)
trueHH:mm:ss format
HH:mm:ss format
ISO timestamp
ISO timestamp
Array of days (1-7, Monday-Sunday)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/locations/string/capacity-settings" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "validOnDays": [ 0 ] }'{ "status": "success", "data": { "capacitySetting": { "id": 0, "locationId": 0, "orderCapacity": null, "itemCapacity": null, "name": "string", "priority": 0, "enabled": true, "timeStart": null, "timeEnd": null, "validFrom": null, "validTo": null, "validOnDays": [ 0 ], "createdAt": "string", "updatedAt": "string" } }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Capacity setting ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/locations/string/capacity-settings/string"{ "status": "success", "data": { "capacitySetting": { "id": 0, "locationId": 0, "orderCapacity": null, "itemCapacity": null, "name": "string", "priority": 0, "enabled": true, "timeStart": null, "timeEnd": null, "validFrom": null, "validTo": null, "validOnDays": [ 0 ], "createdAt": "string", "updatedAt": "string" } }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Capacity setting ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/locations/string/capacity-settings/string"{ "status": "success", "data": { "deleted": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Capacity setting ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/locations/string/capacity-settings/string" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "capacitySetting": { "id": 0, "locationId": 0, "orderCapacity": null, "itemCapacity": null, "name": "string", "priority": 0, "enabled": true, "timeStart": null, "timeEnd": null, "validFrom": null, "validTo": null, "validOnDays": [ 0 ], "createdAt": "string", "updatedAt": "string" } }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Array of capacity setting IDs in desired priority order
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/locations/string/capacity-settings/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedIds": [ 0 ] }'{ "status": "success", "data": { "capacitySettings": [ { "id": 0, "locationId": 0, "orderCapacity": null, "itemCapacity": null, "name": "string", "priority": 0, "enabled": true, "timeStart": null, "timeEnd": null, "validFrom": null, "validTo": null, "validOnDays": [ 0 ], "createdAt": "string", "updatedAt": "string" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}